| LCD Library 1.2.1 LCD Library - LCD control class hierarchy library. Drop in replacement for the LiquidCrystal Library.

- Main Page
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions
LiquidCrystal Class Reference

`#include <LiquidCrystal.h>`

Inheritance diagram for LiquidCrystal:

List of all members.

## Public Member Functions
| LiquidCrystal (uint8_t rs, uint8_t enable, uint8_t d0, uint8_t d1, uint8_t d2, uint8_t d3, uint8_t d4, uint8_t d5, uint8_t d6, uint8_t d7)
| LiquidCrystal (uint8_t rs, uint8_t rw, uint8_t enable, uint8_t d0, uint8_t d1, uint8_t d2, uint8_t d3, uint8_t d4, uint8_t d5, uint8_t d6, uint8_t d7)
| LiquidCrystal (uint8_t rs, uint8_t rw, uint8_t enable, uint8_t d0, uint8_t d1, uint8_t d2, uint8_t d3, uint8_t d4, uint8_t d5, uint8_t d6, uint8_t d7, uint8_t backlightPin, t_backlighPol pol)
| LiquidCrystal (uint8_t rs, uint8_t enable, uint8_t d0, uint8_t d1, uint8_t d2, uint8_t d3, uint8_t backlightPin, t_backlighPol pol)
| LiquidCrystal (uint8_t rs, uint8_t rw, uint8_t enable, uint8_t d0, uint8_t d1, uint8_t d2, uint8_t d3)
| LiquidCrystal (uint8_t rs, uint8_t rw, uint8_t enable, uint8_t d0, uint8_t d1, uint8_t d2, uint8_t d3, uint8_t backlightPin, t_backlighPol pol)
| LiquidCrystal (uint8_t rs, uint8_t enable, uint8_t d0, uint8_t d1, uint8_t d2, uint8_t d3)
| LiquidCrystal (uint8_t rs, uint8_t enable, uint8_t d0, uint8_t d1, uint8_t d2, uint8_t d3, uint8_t d4, uint8_t d5, uint8_t d6, uint8_t d7, uint8_t backlightPin, t_backlighPol pol)
virtual void | send (uint8_t value, uint8_t mode)
void | setBacklight (uint8_t value)
void | setBacklightPin (uint8_t pin, t_backlighPol pol)

## Detailed Description

Definition at line 44 of file LiquidCrystal.h.

## Constructor & Destructor Documentation

LiquidCrystal::LiquidCrystal | ( | uint8_t | rs,
|  | uint8_t | enable,
|  | uint8_t | d0,
|  | uint8_t | d1,
|  | uint8_t | d2,
|  | uint8_t | d3,
|  | uint8_t | d4,
|  | uint8_t | d5,
|  | uint8_t | d6,
|  | uint8_t | d7
| ) |  |

8 bit LCD constructors. Defines the pin assignment that the LCD will have. The constructor does not initialize the LCD.

Definition at line 55 of file LiquidCrystal.cpp.

LiquidCrystal::LiquidCrystal | ( | uint8_t | rs,
|  | uint8_t | rw,
|  | uint8_t | enable,
|  | uint8_t | d0,
|  | uint8_t | d1,
|  | uint8_t | d2,
|  | uint8_t | d3,
|  | uint8_t | d4,
|  | uint8_t | d5,
|  | uint8_t | d6,
|  | uint8_t | d7
| ) |  |

Definition at line 62 of file LiquidCrystal.cpp.

LiquidCrystal::LiquidCrystal | ( | uint8_t | rs,
|  | uint8_t | enable,
|  | uint8_t | d0,
|  | uint8_t | d1,
|  | uint8_t | d2,
|  | uint8_t | d3,
|  | uint8_t | d4,
|  | uint8_t | d5,
|  | uint8_t | d6,
|  | uint8_t | d7,
|  | uint8_t | backlightPin,
|  | t_backlighPol | pol
| ) |  |

Definition at line 82 of file LiquidCrystal.cpp.

LiquidCrystal::LiquidCrystal | ( | uint8_t | rs,
|  | uint8_t | rw,
|  | uint8_t | enable,
|  | uint8_t | d0,
|  | uint8_t | d1,
|  | uint8_t | d2,
|  | uint8_t | d3,
|  | uint8_t | d4,
|  | uint8_t | d5,
|  | uint8_t | d6,
|  | uint8_t | d7,
|  | uint8_t | backlightPin,
|  | t_backlighPol | pol
| ) |  |

Definition at line 91 of file LiquidCrystal.cpp.

LiquidCrystal::LiquidCrystal | ( | uint8_t | rs,
|  | uint8_t | rw,
|  | uint8_t | enable,
|  | uint8_t | d0,
|  | uint8_t | d1,
|  | uint8_t | d2,
|  | uint8_t | d3
| ) |  |

4 bit LCD constructors. Defines the pin assignment that the LCD will have. The constructor does not initialize the LCD.

Definition at line 69 of file LiquidCrystal.cpp.

LiquidCrystal::LiquidCrystal | ( | uint8_t | rs,
|  | uint8_t | enable,
|  | uint8_t | d0,
|  | uint8_t | d1,
|  | uint8_t | d2,
|  | uint8_t | d3
| ) |  |

Definition at line 75 of file LiquidCrystal.cpp.

LiquidCrystal::LiquidCrystal | ( | uint8_t | rs,
|  | uint8_t | rw,
|  | uint8_t | enable,
|  | uint8_t | d0,
|  | uint8_t | d1,
|  | uint8_t | d2,
|  | uint8_t | d3,
|  | uint8_t | backlightPin,
|  | t_backlighPol | pol
| ) |  |

Definition at line 100 of file LiquidCrystal.cpp.

LiquidCrystal::LiquidCrystal | ( | uint8_t | rs,
|  | uint8_t | enable,
|  | uint8_t | d0,
|  | uint8_t | d1,
|  | uint8_t | d2,
|  | uint8_t | d3,
|  | uint8_t | backlightPin,
|  | t_backlighPol | pol
| ) |  |

Definition at line 108 of file LiquidCrystal.cpp.

## Member Function Documentation

void LiquidCrystal::send | ( | uint8_t | value,
|  | uint8_t | mode
| ) |  | `[virtual]`

Send a particular value to the LCD. Sends a particular value to the LCD for writing to the LCD or as an LCD command.

Users should never call this method.

Parameters:

  value | Value to send to the LCD.

Returns:
  mode LOW - write to the LCD CGRAM, HIGH - write a command to the LCD.

Reimplemented from LCD.

Definition at line 122 of file LiquidCrystal.cpp.

void LiquidCrystal::setBacklight | ( | uint8_t | value | ) | `[virtual]`

Switch-on/off the LCD backlight. Switch-on/off the LCD backlight. The setBacklightPin has to be called before setting the backlight for this method to work.

See also:
  setBacklightPin. For dimming control of the backlight, the configuration pin must be a PWM output pin. Dim control is achieved by passing a value from 1 to 255 as a parameter. If the pin configured when calling the setBacklightPin does not support PWM, then: (0) backlight off, (1..255) backlight on.

Parameters:

  value,: | backlight value. 0: off, 1..255: dim control of the backlight. For negative logic 255: off, 254..0: dim control.

Reimplemented from LCD.

Definition at line 165 of file LiquidCrystal.cpp.

void LiquidCrystal::setBacklightPin | ( | uint8_t | pin,
|  | t_backlighPol | pol
| ) |  | `[virtual]`

Sets the pin to control the backlight. Sets the pin in the device to control the backlight.

Parameters:

  pin,: | pin assigned to the backlight
  pol,: | backlight pin control polarity (POSITIVE, NEGATIVE).

Reimplemented from LCD.

Definition at line 155 of file LiquidCrystal.cpp.

The documentation for this class was generated from the following files:

- /Users/fmalpartida/development/ardWorkspace/LiquidCrystal_I2C/LiquiCrystal_I2C/LiquidCrystal.h
- /Users/fmalpartida/development/ardWorkspace/LiquidCrystal_I2C/LiquiCrystal_I2C/LiquidCrystal.cpp

All Classes Files Functions Variables Typedefs Enumerations Enumerator Defines